Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.convert
Class ReportConverter

    java.lang.Object
      net.sf.jasperreports.engine.convert.ReportConverter

    public class ReportConverter

extends java.lang.Object

Version:
  $Id: ReportConverter.java 3954 2010-09-20 15:45:09Z teodord $
Author:
  Sanda Zaharia (shertage@users.sourceforge.net)

Nested Class Summary
`protected class` | `ReportConverter.StyleFactory`

Field Summary
`protected boolean` | `cacheStyles`
`static java.awt.Color` | `GRID_LINE_COLOR`
`protected java.util.Map` | `stylesMap`

Constructor Summary
`ReportConverter(JRReport report, boolean ignoreContent, boolean cacheStyles)`

Method Summary
`protected void` | `collectStyles(JRStyle[] styles)`
`protected void` | `convert(boolean ignoreContent)`
`void` | `copyBaseAttributes(JRElement source, JRPrintElement converted)`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`JasperPrint` | `getJasperPrint()`
`JRReport` | `getReport()`
`protected void` | `loadReportStyles(JRReport report)`
`protected void` | `loadReportTemplateStyles(JRReportTemplate template, java.util.Set loadedLocations)`
`protected void` | `loadTemplateStyles(java.lang.String location, java.util.Set loadedLocations, java.util.Set parentLocations)`
`protected JRStyle` | `resolveStyle(JRStyleContainer originalContainer)`
`protected void` | `setStyles(JRReport report)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRID_LINE_COLOR

    public static final java.awt.Color GRID_LINE_COLOR

### stylesMap

    protected java.util.Map stylesMap

### cacheStyles

    protected final boolean cacheStyles

Constructor Detail

### ReportConverter

    public ReportConverter(JRReport report,
                           boolean ignoreContent,
                           boolean cacheStyles)

Method Detail

### convert

    protected void convert(boolean ignoreContent)

### setStyles

    protected void setStyles(JRReport report)

### loadReportStyles

    protected void loadReportStyles(JRReport report)

### loadReportTemplateStyles

    protected void loadReportTemplateStyles(JRReportTemplate template,
                                            java.util.Set loadedLocations)

### loadTemplateStyles

    protected void loadTemplateStyles(java.lang.String location,
                                      java.util.Set loadedLocations,
                                      java.util.Set parentLocations)

### collectStyles

    protected void collectStyles(JRStyle[] styles)

### resolveStyle

    protected JRStyle resolveStyle(JRStyleContainer originalContainer)

### getReport

    public JRReport getReport()

### getJasperPrint

    public JasperPrint getJasperPrint()

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

### copyBaseAttributes

    public void copyBaseAttributes(JRElement source,
                                   JRPrintElement converted)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com